org.eclipse.cdt.core.settings.model.util

## Class CDataSerializer

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.CDataSerializer

Direct Known Subclasses:
  UserAndDiscoveredEntryDataSerializer

    public class CDataSerializer
    extends Object

### Field Summary

Fields
`protected static String` `BINARY_PARSERS`
`protected static String` `BUILD_DATA`
`protected static String` `CONTENT_TYPE_IDS`
`protected static String` `CWD`
`protected static String` `DELIMITER`
`protected static String` `DESCRIPTION`
`protected static String` `ERROR_PARSERS`
`protected static String` `EXTENSIONS`
`protected static String` `FILE_DATA`
`protected static String` `FOLDER_DATA`
`protected static String` `ID`
`protected static String` `LANGUAGE_DATA`
`protected static String` `LANGUAGE_ID`
`protected static String` `NAME`
`protected static String` `OUTPUT_ENTRIES`
`protected static String` `PATH`
`protected static String` `SETTING_ENTRIES`
`protected static String` `SOURCE_ENTRIES`
`protected static String` `SUPPORTED_ENTRY_KINDS`
`protected static String` `TARGET_PLATFORM_DATA`

### Constructor Summary

Constructors
Constructor and Description
`CDataSerializer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CDataSerializer` `getDefault()`
`CBuildData` `loadBuildData(CConfigurationData data, CDataFactory factory, ICStorageElement el)`
`CConfigurationData` `loadConfigurationData(CDataFactory factory, ICStorageElement el)`
`void` `loadEntries(CLanguageData lData, ICStorageElement el)`
`CFileData` `loadFileData(CConfigurationData data, CDataFactory factory, ICStorageElement el)`
`CFolderData` `loadFolderData(CConfigurationData data, CDataFactory factory, ICStorageElement el)`
`CLanguageData` `loadLanguageData(CConfigurationData data, CResourceData rcData, CDataFactory factory, ICStorageElement el)`
`CTargetPlatformData` `loadTargetPlatformData(CConfigurationData data, CDataFactory factory, ICStorageElement el)`
`void` `store(CBuildData data, ICStorageElement el)`
`void` `store(CConfigurationData data, ICStorageElement el)`
`void` `store(CFileData data, ICStorageElement el)`
`void` `store(CFolderData data, ICStorageElement el)`
`void` `store(CLanguageData data, ICStorageElement el)`
`void` `store(CTargetPlatformData data, ICStorageElement el)`
`void` `storeEntries(CLanguageData lData, ICStorageElement el)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    protected static final String NAME

See Also:
  Constant Field Values

#### ID

    protected static final String ID

See Also:
  Constant Field Values

#### DESCRIPTION

    protected static final String DESCRIPTION

See Also:
  Constant Field Values

#### SOURCE_ENTRIES

    protected static final String SOURCE_ENTRIES

See Also:
  Constant Field Values

#### PATH

    protected static final String PATH

See Also:
  Constant Field Values

#### LANGUAGE_ID

    protected static final String LANGUAGE_ID

See Also:
  Constant Field Values

#### CONTENT_TYPE_IDS

    protected static final String CONTENT_TYPE_IDS

See Also:
  Constant Field Values

#### EXTENSIONS

    protected static final String EXTENSIONS

See Also:
  Constant Field Values

#### DELIMITER

    protected static final String DELIMITER

See Also:
  Constant Field Values

#### FOLDER_DATA

    protected static final String FOLDER_DATA

See Also:
  Constant Field Values

#### FILE_DATA

    protected static final String FILE_DATA

See Also:
  Constant Field Values

#### BUILD_DATA

    protected static final String BUILD_DATA

See Also:
  Constant Field Values

#### TARGET_PLATFORM_DATA

    protected static final String TARGET_PLATFORM_DATA

See Also:
  Constant Field Values

#### LANGUAGE_DATA

    protected static final String LANGUAGE_DATA

See Also:
  Constant Field Values

#### OUTPUT_ENTRIES

    protected static final String OUTPUT_ENTRIES

See Also:
  Constant Field Values

#### ERROR_PARSERS

    protected static final String ERROR_PARSERS

See Also:
  Constant Field Values

#### BINARY_PARSERS

    protected static final String BINARY_PARSERS

See Also:
  Constant Field Values

#### CWD

    protected static final String CWD

See Also:
  Constant Field Values

#### SETTING_ENTRIES

    protected static final String SETTING_ENTRIES

See Also:
  Constant Field Values

#### SUPPORTED_ENTRY_KINDS

    protected static final String SUPPORTED_ENTRY_KINDS

See Also:
  Constant Field Values

### Constructor Detail

#### CDataSerializer

    public CDataSerializer()

### Method Detail

#### getDefault

    public static CDataSerializer getDefault()

#### loadConfigurationData

    public CConfigurationData loadConfigurationData(CDataFactory factory,
                                                    ICStorageElement el)
                                             throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadFolderData

    public CFolderData loadFolderData(CConfigurationData data,
                                      CDataFactory factory,
                                      ICStorageElement el)
                               throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadFileData

    public CFileData loadFileData(CConfigurationData data,
                                  CDataFactory factory,
                                  ICStorageElement el)
                           throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadBuildData

    public CBuildData loadBuildData(CConfigurationData data,
                                    CDataFactory factory,
                                    ICStorageElement el)
                             throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadTargetPlatformData

    public CTargetPlatformData loadTargetPlatformData(CConfigurationData data,
                                                      CDataFactory factory,
                                                      ICStorageElement el)
                                               throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadLanguageData

    public CLanguageData loadLanguageData(CConfigurationData data,
                                          CResourceData rcData,
                                          CDataFactory factory,
                                          ICStorageElement el)
                                   throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### loadEntries

    public void loadEntries(CLanguageData lData,
                            ICStorageElement el)

#### store

    public void store(CConfigurationData data,
                      ICStorageElement el)
               throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### store

    public void store(CFolderData data,
                      ICStorageElement el)

#### store

    public void store(CFileData data,
                      ICStorageElement el)

#### store

    public void store(CBuildData data,
                      ICStorageElement el)

#### store

    public void store(CTargetPlatformData data,
                      ICStorageElement el)

#### store

    public void store(CLanguageData data,
                      ICStorageElement el)

#### storeEntries

    public void storeEntries(CLanguageData lData,
                             ICStorageElement el)